Subject: Re: bug#74630: 31.0.50; emacs-mail-verify

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Dec 2024 15:26:15 +0200

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 04 Dec 2024 01:09:05 -0500
> 
>   > Not sure what you expected the doc string to say.  Would the below be
>   > enough?
> 
>   >   Verify OpenPGP cleartext signed messages in the current buffer.
>   >   The buffer is expected to contain a mail message.
> 
>   >   If the verification fails, the command signals an error.
> 
> That is better, becauee it gives enough information to deduce what
> indicates success.  But the user should need to do any deduction about
> that, let alone read code and guess what some other functions do.

Thanks, I installed a change along those lines.

> To make the doc string truly clear, it should say explicitly what
> indicates success.  That way the user can know, rather than just
> supposing.

I don't know how to describe success in this case, except as the lack
of an error.

> Should the function be changed to display a message, "Signature verified",
> on success?

It says "Verifying...done", which I think is enough (and quite
standard in Emacs).

> Do some people run this function from a hook for every message and
> want to see output only in case of failure?

See above: it displays a message in case of success as well.

> Should it a value indicating success or failure?

I don't know.  The values of the relevant functions don't seem to be
documented.